Clp 1.17.6

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Groups Pages
Public Member Functions | List of all members
OsiUnitTest::TestOutcomes Class Reference

Utility class to maintain a list of test outcomes. More...

`#include <OsiUnitTests.hpp>`

Inheritance diagram for OsiUnitTest::TestOutcomes:
[legend]
Collaboration diagram for OsiUnitTest::TestOutcomes:
[legend]

## Public Member Functions
void | add (std::string comp, std::string tst, const char *cond, TestOutcome::SeverityLevel sev, const char *file, int line, bool exp=false)
| Add an outcome to the list. More...
void | add (const OsiSolverInterface &si, std::string tst, const char *cond, TestOutcome::SeverityLevel sev, const char *file, int line, bool exp=false)
| Add an outcome to the list. More...
void | print () const
| Print the list of outcomes. More...
void | getCountBySeverity (TestOutcome::SeverityLevel sev, int &total, int &expected) const
| Count total and expected outcomes at given severity level. More...

## Additional Inherited Members
Public Attributes inherited from std::list< T >
T | elements
| STL member. More...

## Detailed Description

Utility class to maintain a list of test outcomes.

Definition at line 205 of file OsiUnitTests.hpp.

## Member Function Documentation

void OsiUnitTest::TestOutcomes::add | ( | std::string | comp,
|  | std::string | tst,
|  | const char * | cond,
|  | TestOutcome::SeverityLevel | sev,
|  | const char * | file,
|  | int | line,
|  | bool | exp = `false`
| ) |  |
| inline

Add an outcome to the list.

Definition at line 208 of file OsiUnitTests.hpp.

void OsiUnitTest::TestOutcomes::add | ( | const OsiSolverInterface & | si,
|  | std::string | tst,
|  | const char * | cond,
|  | TestOutcome::SeverityLevel | sev,
|  | const char * | file,
|  | int | line,
|  | bool | exp = `false`
| ) |  |

Add an outcome to the list.

Get the component name from the solver interface.

void OsiUnitTest::TestOutcomes::print | ( |  | ) | const

Print the list of outcomes.

void OsiUnitTest::TestOutcomes::getCountBySeverity | ( | TestOutcome::SeverityLevel | sev,
|  | int & | total,
|  | int & | expected
| ) |  | const

Count total and expected outcomes at given severity level.

Given a severity level, walk the list of outcomes and count the total number of outcomes at this severity level and the number expected.

The documentation for this class was generated from the following file:

- /tmp/Clp-1.17.6/Osi/src/OsiCommonTest/OsiUnitTests.hpp